# VectorNav C++ Library: vn::sensors::sensor_error Struct Reference

vn::sensors::sensor_error Struct Reference

Represents an error from a VectorNav sensor. More...

`#include <sensors.h>`

Inheritance diagram for vn::sensors::sensor_error:

## Public Member Functions

| sensor_error (protocol::uart::SensorError e)
| Creates a new sensor_error based on the error value provided by the sensor.
| sensor_error (const sensor_error &e)
| Copy constructor.
char const * | what () const throw ()
| Returns a description of the exception. More...

## Public Attributes

protocol::uart::SensorError | error
| The associated sensor error.

## Detailed Description

Represents an error from a VectorNav sensor.

## Member Function Documentation

char const* vn::sensors::sensor_error::what | ( |  | ) | const
throw | ( |
| ) |  |

Returns a description of the exception.

Returns
  A description of the exception.

The documentation for this struct was generated from the following file:

- include/vn/sensors.h